#include<stdio.h>
#include<math.h>
main()
{
	int L,i;
	long R,b=0;
	float p,q,r;
	scanf("%f",&p);
	scanf("%f",&q);
	scanf("%f",&r);
	scanf("%d",&L);
	scanf("%ld",&R);
	for(i=L;i<=R;i++)
	{
	if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)b++;
	}
	printf("%ld",b);
}